com.sun.star.comp.helper

## Class SharedLibraryLoader

- java.lang.Object
- - com.sun.star.comp.helper.SharedLibraryLoader

- Deprecated.
  use class Bootstrap bootstrapping a native UNO installation and use the shared library loader service. The `SharedLibraryLoader` class provides the functionality of the `com.sun.star.loader.SharedLibrary` service.

      public class SharedLibraryLoader
      extends Object

  See Also:
    `SharedLibrary`, "com.sun.star.comp.servicemanager.ServiceManager", `ServiceManager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_IMPLEMENTATION` Deprecated. The default implementation name
    `static String` | `DEFAULT_LIBRARY` Deprecated. The default library which contains the SharedLibraryLoader component

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedLibraryLoader()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XSingleServiceFactory` | `getServiceFactory(String libName, String impName, XMultiServiceFactory smgr, XRegistryKey regKey)` Deprecated. Loads and returns a specific factory for a given library and implementation name.
    `static XSingleServiceFactory` | `getServiceFactory(XMultiServiceFactory smgr, XRegistryKey regKey)` Deprecated. Supplies the ServiceFactory of the default SharedLibraryLoader.
    `static boolean` | `writeRegistryServiceInfo(String libName, XMultiServiceFactory smgr, XRegistryKey regKey)` Deprecated. Registers the SharedLibraryLoader under a RegistryKey.
    `static boolean` | `writeRegistryServiceInfo(XMultiServiceFactory smgr, XRegistryKey regKey)` Deprecated. Registers the SharedLibraryLoader under a RegistryKey.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LIBRARY

          public static final String DEFAULT_LIBRARY

      Deprecated.
      The default library which contains the SharedLibraryLoader component
      See Also:
        Constant Field Values

    - #### DEFAULT_IMPLEMENTATION

          public static final String DEFAULT_IMPLEMENTATION

      Deprecated.
      The default implementation name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SharedLibraryLoader

          public SharedLibraryLoader()

      Deprecated.

  - ### Method Detail

    - #### getServiceFactory

          public static XSingleServiceFactory getServiceFactory(XMultiServiceFactory smgr,
                                                XRegistryKey regKey)

      Deprecated.
      Supplies the ServiceFactory of the default SharedLibraryLoader. The defaults are "shlibloader.uno" for the library and "com.sun.star.comp.stoc.DLLComponentLoader" for the component name.

      Parameters:
        `smgr` - the ServiceManager
        `regKey` - the root registry key
      Returns:
        the factory for the "com.sun.star.comp.stoc.DLLComponentLoader" component.
      See Also:
        `SharedLibrary`, `ServiceManager`, `RegistryKey`

    - #### getServiceFactory

          public static XSingleServiceFactory getServiceFactory(String libName,
                                                String impName,
                                                XMultiServiceFactory smgr,
                                                XRegistryKey regKey)

      Deprecated.
      Loads and returns a specific factory for a given library and implementation name.

      Parameters:
        `libName` - the name of the shared library
        `impName` - the implementation name of the component
        `smgr` - the ServiceManager
        `regKey` - the root registry key
      Returns:
        the factory of the component
      See Also:
        `SharedLibrary`, `ServiceManager`, `RegistryKey`

    - #### writeRegistryServiceInfo

          public static boolean writeRegistryServiceInfo(XMultiServiceFactory smgr,
                                         XRegistryKey regKey)

      Deprecated.
      Registers the SharedLibraryLoader under a RegistryKey.

      Parameters:
        `smgr` - the ServiceManager
        `regKey` - the root key under that the component should be registered
      Returns:
        true if the registration was successful - otherwise false
      See Also:
        `SharedLibrary`, `ServiceManager`, `RegistryKey`

    - #### writeRegistryServiceInfo

          public static boolean writeRegistryServiceInfo(String libName,
                                         XMultiServiceFactory smgr,
                                         XRegistryKey regKey)
                                                  throws InvalidRegistryException,
                                                         RuntimeException

      Deprecated.
      Registers the SharedLibraryLoader under a RegistryKey.

      Parameters:
        `libName` - name of the shared library
        `smgr` - the ServiceManager
        `regKey` - the root key under that the component should be registered
      Returns:
        true if the registration was successful - otherwise false
      Throws:
        `InvalidRegistryException`
        `RuntimeException`
      See Also:
        `SharedLibrary`, `ServiceManager`, `RegistryKey`